
@import 'assets/variables'; 

.root {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: $topbar-margin $cell * 5;
}

.header {
  width: 100%;
  max-width: $content-width-wide;
  font-size: 2.2rem;
  line-height: 2.2rem;
  // width: 100%;
  border-bottom: 2px rgba(34,36,38,.35) solid;
  padding-bottom: $cell * 2;
  margin-bottom: $cell * 3;
}

.container {
  margin-top: $cell * 10;
  width: 80%;
  max-width: 600px;
}

.key {
  .keyList {
    margin-left: $cell;
    padding-left: 0;
    list-style-type: none;
    .command {
      font-weight: bold;
      margin-right: $cell;
    }
  }
}

.calculator {
  position: relative;

  .go {
    position: absolute;
    left: 50%;
    top: 65px;
    z-index: 2;
    margin-left: -18px !important;
    margin-top: -24px !important;
  }

  .help {
    background-color: #EEEEEE !important;
    position: absolute;
    top: 70px;
    right: 6px;
    z-index: 2;
  }
}

.form {
  display: flex;
  flex-direction: row;

}

.results {
  margin-top: $cell * 3;
  .result {
    margin-bottom: $cell;
  }

  .lastResult {
    font-weight: bold;
    font-size: 1.6rem;
  }
}

.textArea {
  width: 50%;
  >textarea {
    resize: none !important;
  }
}

.disabled {
  >textarea {
    background-color: #f5f5f5 !important;
  }
}

.leftText {
  z-index: 1;
  >textarea {
    border-top-right-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
  }

}

.rightText {
  margin-left: -2px !important;
  pointer-events: none;
  >textarea {
    border-top-left-radius: 0 !important;
    border-bottom-left-radius: 0 !important;
  }
}

.menus {
  margin-top: $cell * 10;
  display: flex;
  justify-content: center;
  .actionWrap {
    margin: 0 $cell * 2;
    text-align: center;
    font-weight: bold;
    font-size: 1.1rem;

    .actionButton {
      background-color: $soft-grey !important;
      margin-right: 0 !important;
      margin-bottom: $cell !important;

      &:hover {
        background-color: $soft-grey-2 !important;
      }

    }
  }
}